Bug 64505 - Anaconda does not see system to upgrade on ATA devices
Anaconda does not see system to upgrade on ATA devices
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-06 18:20 EDT by Tom Diehl
Modified: 2007-04-18 12:42 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-22 12:30:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Diehl 2002-05-06 18:20:14 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.0.0-10; en)

Description of problem:
when upgrading a 7.2 system anaconda works fine up to the point where it says searching for existing installations. At that point it pauses and then returns an error saying that it could not find any existing installations. This is a working 7.2 box.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.boot machine from boot disk
2.select text at boot prompt
3.do normal nfs install up to the point where anaconda searches for existing installations
4. At this point anaconda returns and states it cannot find existing installations
 

Actual Results:  Unable to upgrade the system since anaconda cannot detect the old installation

Expected Results:  should have upgraded normally.

Additional info:

If I go back and select install and run that up to the point where diskdruid detects the partitions it sees the existing installation. At that point I aborted the install since I want to upgrade not do a fresh install. The machine is a p120 with 96 Megs of ram in it. Please let me know what else you need.
Comment 1 edwinh 2002-05-07 17:25:57 EDT
Ditto here - also using the NFS upgrade option.  
install says it can't find any existing linux partitions...

If I switch to the shell vt from the install screen, then mknod /dev/hda, and
fdisk -l /dev/hda, I can see all the partitions.  anaconda still can't see my
existing installation.

machine is running 7.2 at the moment just fine.
Comment 2 Michael Fulbright 2002-05-07 17:42:02 EDT
If you run parted /dev/hda does it see your partitions?
Comment 3 Tom Diehl 2002-05-07 17:54:00 EDT
Looks like it to me, Here is the output: 
(roo pts2) # parted /dev/hda 
GNU Parted 1.4.16 
Copyright (C) 1998, 1999, 2000, 2001 Free Software Foundation, Inc. 
This program is free software, covered by the GNU General Public License. 
 
This program is distributed in the hope that it will be useful, but WITHOUT 
ANY WARRANTY; without even 
the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
See the GNU General Public 
License for more details. 
 
Using /dev/hda 
Warning: The operating system thinks the geometry on /dev/hda is 784/255/63.  
You should check that this 
matches the BIOS geometry before using this program. 
(parted) print 
Disk geometry for /dev/hda: 0.000-6149.882 megabytes 
Disk label type: msdos 
Minor    Start       End     Type      Filesystem  Flags 
1          0.031     23.532  primary   ext3        boot 
4         23.533   6149.882  extended 
5         23.563    517.719  logical   ext3 
6        517.750   1513.938  logical   ext3 
7       1513.969   2510.156  logical   ext3 
8       2510.187   3004.343  logical   ext3 
9       3004.374   3498.530  logical   ext3 
10      3498.561   3600.505  logical   ext3 
11      3600.536   3796.611  logical   linux-swap 
12      3796.642   6149.882  logical   ext3 
(parted) 
Comment 4 Kevin Davies 2002-05-08 10:19:44 EDT
I have the same problem with attempting to do an ftp upgrade. It does not find 
any devices. The error message is...

Error mounting filesystem on hde1,2,3,5,6,7: No such device.

When I look in /tmp I see the hde devices. My complete system profile is on 
RHN under username rtfmoz. If I do mknod hde b 33 0 and then fdisk hde I get 
the full partition table listed.

For some reason the installer wont recognise the partitions.

Regards

Kevin
Comment 5 Michael Fulbright 2002-05-09 14:56:56 EDT
What is the ATA controller in each of these cases?
Comment 6 edwinh 2002-05-09 15:54:11 EDT
00:1f.1 IDE interface: Intel Corp. 82801AA IDE (rev 02)
Comment 7 Tom Diehl 2002-05-09 23:46:40 EDT
I think this is what you want: 
(roo pts1) # lspci 
00:00.0 Host bridge: Intel Corporation 430VX - 82437VX TVX [Triton VX] (rev 
01) 
00:07.0 ISA bridge: Intel Corporation 82371SB PIIX3 ISA [Natoma/Triton II] 
00:07.1 IDE interface: Intel Corporation 82371SB PIIX3 IDE [Natoma/Triton II] 
(roo pts1) # 
 
If not please tell me where to get the info. It is an on board controller.
Comment 8 Kevin Davies 2002-05-09 23:52:34 EDT
I have a CDROM and IDE tape backup on the onboard ide.
My bootable hard disk is on a Promise ATA100 TX2 (20268).
Comment 9 Michael Fulbright 2002-05-10 11:55:00 EDT
Modifying summary line.
Comment 10 Michael Fulbright 2002-05-10 11:56:28 EDT
Ok lets start over.

If you boot into the installer, goto the Disk Druid partitioning screen, I'm
understanding that none of you can see the drives on the ATA100 controller?

If at this point you hit cntl-alt-f2 and goto the shell prompt and type 'parted
/tmp/hde', you CAN see the drive and partitions?

We'll figure this out.
Comment 11 Tom Diehl 2002-05-10 12:44:09 EDT
Now I am confused. My machine does NOT have an ATA100 COntroller. It is an old 
P120 using the onboard controller as indicated above. For the record if I go 
into the disk druid partitioning in the installer I CAN see my partitions. If 
I select upgrade the upgrade fails because it CANNOT find an existing 
installation to upgrade. I did not run parted from the installer the info I 
posted previously was from a running 7.1 installation. If it is useful I will 
reboot into the installer and run parted. Please let me know.
Comment 12 Kevin Davies 2002-05-10 20:21:25 EDT
Hmmmm, ok I have got the CDs now and I will upgrade with them. I think the 
problem is going to be that once I do that we wont be able to diagnose this 
problem anymore. I can hold off on the upgrade so we get the problem 
identified if you like? - Let me know.
Comment 13 edwinh 2002-05-13 09:27:52 EDT
I think I may have found out some of what is going on here.

 - I factored out the network install being part of the problem, the same
   thing happens with CD's.

 - Just a plain "install" rather than upgrade bails trying to find devices
   as well, when going into Disk Druid.

 - Flipping to the shell vt and doing "parted /tmp/hda" gives a warning
   saying "You can't have a partition outside the disk".  "print" in parted
   shows nothing!

 - "fdisk -l /tmp/hda" (still in the shell vt from booting the installer) 
   shows all the partitions fine!

 - I have a large 80GB Maxtor disk.  The BIOS sees it with a "clipped"
   geometry.  I think this is what is causing parted to barf.  Do we all
   have these > 33.8GB disks?  If so this could explain the problem?

Once the system is up (not in the installer), using the parted from 7.3 shows this:

Using /dev/hda
Information: The operating system thinks the geometry on /dev/hda is
155009/16/63.  Therefore, cylinder 1024 ends at
503.999M.
(parted) print
Disk geometry for /dev/hda: 0.000-76293.945 megabytes
Disk label type: msdos
Minor    Start       End     Type      Filesystem  Flags
1          0.031    300.234  primary   ext3        
2        300.234    600.468  primary   ext3        
3        600.469   5600.601  primary   ext3        
4       5600.602  76293.492  extended              
5       5600.632   7600.851  logical   ext3        
6       7600.882   8114.203  logical   ext3        
7       8114.234   8627.554  logical   linux-swap  
8       8627.585  76293.492  logical   ext3        

And fdisk -l shows this:

Disk /dev/hda: 16 heads, 63 sectors, 155009 cylinders
Units = cylinders of 1008 * 512 bytes

   Device Boot    Start       End    Blocks   Id  System
/dev/hda1             1       610    307408+  83  Linux
/dev/hda2           611      1220    307440   83  Linux
/dev/hda3          1221     11379   5120136   83  Linux
/dev/hda4         11380    155009  72389520    5  Extended
/dev/hda5         11380     15443   2048224+  83  Linux
/dev/hda6         15444     16486    525640+  83  Linux
/dev/hda7         16487     17529    525640+  82  Linux swap
/dev/hda8         17530    155009  69289888+  83  Linux
Comment 14 Tom Diehl 2002-05-13 23:34:40 EDT
Ok, more possible irrevelant info but I am going to throw it out there just in 
case it is useful. I rebooted my machine that previously would not upgrade to 
find that I had a bad floppy disk. The machine would boot but not mount the 
nfs share. I ran md5sum on the floppy and found the checksum was wrong. At 
this point I remade the floppy and checked it with md5sum. All was now ok. I 
rebooted and once again the nfs share would not mount. No errors in the logs 
on the nfs server, nothing. So I decided to try entering the ipaddress of the 
server and it mounted. At this point the upgrade succeeded. What was the real 
problem here? Who knows for sure. At this point all I can say is my machine is 
happly running 7.3. I suppose we will never know for sure.
Comment 15 Carl Brown 2002-06-25 09:39:54 EDT
Redhat installation support sent me here.

Even more possibly irrelevant info, but another data point 
nonetheless:
P233MMX on DFI 586ITBD mobo, circa 1997, 128MB RAM.
Promise Ultra100 (20267 chip) card with 80G Maxtor drive on it, all 
on-board ide slots are full.
Award V4.51-pg BIOS won't support large drives, no BIOS upgrade 
available or likely.
CAVEAT: System may have hardware issue, it won't boot from the CD 
drive even when asked nicely. Confirmed with three different 
bootable CDs.

Redhat 7.1 installed without a hitch, with no special params, right 
out of the box. It partitioned and formatted the Maxtor drive. It 
recognizes the Maxtor drive as hde, boots and runs fine. Here's the 
relevant section from /var/log/dmesg:

PDC20267: IDE controller on PCI bus 00 dev 70
PDC20267: chipset revision 2
PDC20267: not 100% native mode: will probe irqs later
PDC20267: (U)DMA Burst Bit ENABLED Primary PCI Mode Secondary PCI 
Mode.
    ide2: BM-DMA at 0x6800-0x6807, BIOS settings: hde:pio, hdf:pio
    ide3: BM-DMA at 0x6808-0x680f, BIOS settings: hdg:pio, hdh:pio
ide6: ESS ES1868 Plug and Play AudioDrive IDE interface
hda: ST32140A, ATA DISK drive
hdb: WDC AC313000R, ATA DISK drive
hdc: FX4010M, ATAPI CD/DVD-ROM drive
hdd: IOMEGA ZIP 100 ATAPI, ATAPI FLOPPY drive
hde: Maxtor 4D080H4, ATA DISK drive
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
ide1 at 0x170-0x177,0x376 on irq 15
ide2 at 0x6400-0x6407,0x6502 on irq 10
hda: 4127760 sectors (2113 MB) w/128KiB Cache, CHS=1023/64/63, DMA
hdb: 25429824 sectors (13020 MB) w/512KiB Cache, CHS=1582/255/63, 
UDMA(33)
hde: 160086528 sectors (81964 MB) w/2048KiB Cache, 
CHS=158816/16/63, UDMA(100)
hdd: No disk in drive
hdd: 98304kB, 96/64/32 CHS, 4096 kBps, 512 sector size, 2941 rpm
Partition check:
 hda: hda1
 hdb: hdb1 hdb2 < hdb5 >
 hde: [PTBL] [9964/255/63] hde1 hde2 < hde5 >

That last line is where the 7.3 install freezes, but then all it 
says is:
hde:(flashing cursor)
If I disconnect hde, the install loads normally. However, since 
that is the only way to get 7.3 to boot, I can't use any of the 7.3 
diagnostics on the problem drive.
Comment 16 Need Real Name 2002-07-23 03:23:26 EDT
Have similiar problem on HP Pavilion 6730 w/ 10GB HD

lspci lists:
00:1f.1 IDE interface: Intel Corporation 82801AA ide (REV 02)

Currently running RH72 great.  Boots off RH73 CD1 and goes into anacoda.  All 
goes well until you select "Upgrade an existing system" which then goes off and 
comes back saying that:

You don't have any Linux partitions
You can't upgrade this system 

Going to shell shows that there is only one drive in /tmp and that is hdc, so 
no parted or fdisk will reveal anything.

When booted into 72 parted shows:
--snip---
Warning: The operating system thinks the geometry on /dev/hda is 1323/240/63.
Therefore, cylinder 1024 ends at 7559.999M.  You should check that this matches
the BIOS geometry before using this program.
--snip---
Disk geometry for /dev/hda: 0.000-9768.383 megabytes
Disk label type: msdos
Minor    Start       End     Type      Filesystem  Flags
1          0.031   6762.656  primary   FAT         boot, lba
2       6762.656   6792.187  primary   ext3        
3       6792.188   9634.570  primary   ext3        
4       9634.570   9767.460  extended              lba
5       9634.601   9767.460  logical   linux-swap  
--snip---

Also, if I select a workstation install (instead of an upgrade) and then select 
manual setup with disk druid...  All the above partitions are there. Then if I 
go to shell, /tmp/hda is there and parted /tmp/hda shows the above information 
(except rather than Warning: it says Information:)

If I go back to the GUI and backtrack to the installation type and press 
Upgrade it again does not find any partitions...  To the shell reveals 
that /tmp/hda is not there again.

Comment 17 Michael Fulbright 2003-03-13 16:21:09 EST
These problems appear to be related to the IDE driver in the kernel.  I would be
curious of Red Hat Linux 8.0 or the more recent Phoebe Beta works better with
these machines.
Comment 18 Michael Fulbright 2003-04-22 12:30:58 EDT
Closing due to inactivity. If you have new information to add please reopen the
issue report.

Note You need to log in before you can comment on or make changes to this bug.